# Uses of Class
net.shibboleth.idp.authn.principal.IdPAttributePrincipal

Packages that use IdPAttributePrincipal
Package
Description
net.shibboleth.idp.authn.principal.impl
Implementation of functionality related to Java Principals.

## Uses of IdPAttributePrincipal in net.shibboleth.idp.authn.principal.impl

Methods in net.shibboleth.idp.authn.principal.impl that return IdPAttributePrincipal
Modifier and Type
Method
Description
`IdPAttributePrincipal`
IdPAttributePrincipalSerializer.`deserialize(String value)`
Deserialize the supplied value.